# Class ZooInspectorTreeView.TreeEventHandler

java.lang.Object
org.apache.zookeeper.inspector.gui.ZooInspectorTreeView.TreeEventHandler

All Implemented Interfaces:
  `EventListener, TreeExpansionListener, TreeSelectionListener`

Enclosing class:
  `ZooInspectorTreeView`

public class ZooInspectorTreeView.TreeEventHandler extends Object implements TreeExpansionListener, TreeSelectionListener

## Constructor Summary

Constructors
Constructor
Description
`TreeEventHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`treeCollapsed(TreeExpansionEvent event)`
`void`
`treeExpanded(TreeExpansionEvent event)`
`void`
`valueChanged(TreeSelectionEvent e)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TreeEventHandler

public TreeEventHandler()

## Method Details

### treeExpanded

public void treeExpanded(TreeExpansionEvent event)

Specified by:
  `treeExpanded` in interface `TreeExpansionListener`

### treeCollapsed

public void treeCollapsed(TreeExpansionEvent event)

Specified by:
  `treeCollapsed` in interface `TreeExpansionListener`

### valueChanged

public void valueChanged(TreeSelectionEvent e)

Specified by:
  `valueChanged` in interface `TreeSelectionListener`